# WOK
TKWOK
WOKOrbix

# WOKOrbix_IDLCompiler Class Reference

Compilers Management
.

`#include <WOKOrbix_IDLCompiler.hxx>`

Inheritance diagram for WOKOrbix_IDLCompiler:

[legend]

## Public Member Functions

Standard_EXPORT | WOKOrbix_IDLCompiler (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | IncludeDirectories () const
Standard_EXPORT void | SetIncludeDirectories (const Handle(WOKUtils_HSequenceOfPath)&incdirs)
Standard_EXPORT Handle_WOKOrbix_IDLFile | IDLFile () const
Standard_EXPORT void | SetIDLFile (const Handle(WOKOrbix_IDLFile)&afile)
Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myname
Handle_WOKOrbix_IDLFile | mysource
Handle_WOKUtils_HSequenceOfPath | myincdirs
Handle_TCollection_HAsciiString | myoptions

## Constructor & Destructor Documentation

Standard_EXPORT WOKOrbix_IDLCompiler::WOKOrbix_IDLCompiler | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

Standard_EXPORT WOKBuilder_BuildStatus WOKOrbix_IDLCompiler::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool.

Standard_EXPORT const WOKOrbix_IDLCompiler::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInShell.

Standard_EXPORT Handle_WOKOrbix_IDLFile WOKOrbix_IDLCompiler::IDLFile | ( |  | ) | const

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKOrbix_IDLCompiler::IncludeDirectories | ( |  | ) | const

Standard_EXPORT void WOKOrbix_IDLCompiler::SetIDLFile | ( | const Handle(WOKOrbix_IDLFile)& | afile | ) |

Standard_EXPORT void WOKOrbix_IDLCompiler::SetIncludeDirectories | ( | const Handle(WOKUtils_HSequenceOfPath)& | incdirs | ) |

## Field Documentation

Handle_WOKUtils_HSequenceOfPath WOKOrbix_IDLCompiler::myincdirs `[private]`

Handle_TCollection_HAsciiString WOKOrbix_IDLCompiler::myname `[private]`

| Reimplemented from WOKBuilder_Tool.

Handle_TCollection_HAsciiString WOKOrbix_IDLCompiler::myoptions `[private]`

Handle_WOKOrbix_IDLFile WOKOrbix_IDLCompiler::mysource `[private]`

The documentation for this class was generated from the following file:

- WOKOrbix_IDLCompiler.hxx